Activa las notificaciones push PhoneGap Spain

Foro

Home Forums PhoneGap Recomendacion de api level y target!!

This topic contains 4 replies, has 2 voices, and was last updated by  kannarius 9 meses, 3 semanas .

Viendo 5 respuestas - de la 1 a 5 (de 5 en total)
  • Recomendacion de api level y target!!

    Intervenciones
  • kannarius 
    Participant

    Hola a todos , he estado metiendome en este mundillo y ya con un proyectito bastante avanzado me ha resultado esta duda :

    Que api level seria la idonea para que abarque el mayor rango de terminales y versiones de android? .. Las apps que estan enfocadas a versiones mas nuevas funcionan en anteriores? o normalmente segun suben de version dan soporte a apps pensadas para versiones anteriores?

    Que me recomendais como sdk version? .. <uses-sdk android:minSdkVersion=”16″ android:targetSdkVersion=”24″ />

    Por ejemplo , me he dado cuenta que con esa config , a partir de android 4.4 , la aplicacion se ejecuta , pero ya no me conecta al web services ni para el login!.

    Me podeis dar algo de luz? Alguna recomendacion o enfoque del tema?….gracias de antemano.

    • This topic was modified 9 meses, 4 semanas by  kannarius.

    • This topic was modified 9 meses, 4 semanas by  kannarius.
    kannarius 
    Participant

    Me acabo de fijar que al compilar para ser lanzado en el emulador aparece :

    Note: Some input files use or override a deprecated API.
    Note: Recompile with -Xlint:deprecation for details.

    Puede ser que haya sido seleccionada otra version de api distinta a la que aparece en el manifest?


    kannarius 
    Participant

    Bueno retiro todo lo anterior , para quien le pueda pasar lo mismo o algo parecido , mis peticiones ajax eran bloqueadas en algunas versiones de android sobre todo las superiores a 4.4 incluida la misma , el motivo era la etiqueta meta del fichero principal…

    <meta http-equiv=”Content-Security-Policy” content=”default-src ‘self’ data: gap: https://ssl.gstatic.com ‘unsafe-eval’; connect-src ‘self’ [Dominio a aceptar para las peticiones ajax]; style-src ‘self’ ‘unsafe-inline’; media-src *”> <meta name=”format-detection” content=”telephone=no”>


    Jose Jesus Perez Rivas
    Jose Jesus Perez Rivas 
    Keymaster

    Hola @kannarius, solo darte las gracias por compartir la solución, seguro que a muchos usuarios/developers del foro les viene bien :)


    CEO y Director de desarrollo en Cero y Uno Desarrollamos Aplicaciones – ¿tienes algún proyecto? ¡trabajemos juntos! contacto@ceroyuno.eshttp://www.ceroyuno.es Fundador de PhoneGap Spain http://www.phonegapspain.com Twitter: https://twitter.com/JoseJ_PR


    kannarius 
    Participant

    Creo que es deber de todos , que tras formular la duda , si se encuentra la solucion comentarla , Me da mucha rabia la gente que pone “Ya lo solucione” y no aporta la solucion!!! jejej .

    Pero bueno , creo que la comunidad se potencia aparte por la sabiduria de gente como tu con experiencia en el framework como por los que apenas la tenemos !! un abrazo!


Viendo 5 respuestas - de la 1 a 5 (de 5 en total)

You must be logged in to reply to this topic.